locked
Compatability issue with MDS Deployment Tool RRS feed

  • Question

  • I have been using MDS 2012 for nearly a year now.

    Recently I was asked to test out MDS's integration with MS SharePoint workflows.

    Following the instructions documented at http://technet.microsoft.com/en-us/library/gg690195.aspx I installed SharePoint Foundation 2010 on the MDS web server.

    I noticed that SharePoint installed .NET v2 as part of the installation, but .NET v4 is still on the web server too.

    Since this installation of SharePoint, the MDS deployment tool (MDSModelDeploy.exe) has not been working.

    When I try to create a new package, I get the following error message:

    MDSModelDeploy operation failed. Elapsed time: 00:00:04.0036635

    Error: The product version and database version are not compatible.

    I have tried Googling this message but couldn't come up with anything in the way of solutions.

    I am wondering if anyone might have a suggestion for how to fix this problem.

    Thanks,

    Chris.

    Thursday, June 20, 2013 9:47 PM

Answers

  • Thanks for replying, Elvis. I figured out the problem. I needed to give my SQL Server session 'sysadmin' privilege in the MDS database.

    Chris.

    • Marked as answer by Elvis Long Wednesday, June 26, 2013 1:08 AM
    Tuesday, June 25, 2013 6:11 PM

All replies